<?php

namespace Drp\LdapAuthentication\Events;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Queue\SerializesModels;

class LdapUserGroupEvent
{
    use SerializesModels;

    /**
     * Group that the user has been evaluted to.
     * @var string
     */
    public $group;

    /**
     * User model that needs to be updated.
     * @var Model
     */
    public $user;

    /**
     * Constructor
     * @param string $group Group the user should be moved to.
     * @param Model $user The user to move.
     */
    public function __construct($group, Model $user)
    {
        $this->group = $group;
        $this->user = $user;
    }
}
